com.pixelmed.scpecg

## Class Section10

- java.lang.Object
- - com.pixelmed.scpecg.Section
  - - com.pixelmed.scpecg.Section10

    public class Section10
    extends Section

A class to encapsulate the SCP-ECG Lead Measurement Results section.

### Field Summary

### Fields inherited from class com.pixelmed.scpecg.Section

`bytesRead, header, sectionBytesRemaining, tree`

### Constructor Summary

Constructors
Constructor and Description
`Section10(SectionHeader header)`

### Method Summary

Methods
`int[]` `getIntrinsicoidDeflection()`
`int[]` `getIsoElectricSegmentAtQRSEnd()`
`int[]` `getIsoElectricSegmentAtQRSOnset()`
`int[]` `getJPointAmplitude()`
`int[]` `getLeadID()`
`int[]` `getLengthOfRecord()`
`int` `getManufacturerSpecific()`
`int` `getNumberOfLeads()`
`int[]` `getPduration()`
`int[]` `getPMinusAmplitude()`
`int[]` `getPMorphology()`
`int[]` `getPPlusAmplitude()`
`int[]` `getPRInterval()`
`int[]` `getQAmplitude()`
`int[]` `getQDuration()`
`int[]` `getQRSDuration()`
`int[]` `getQTInterval()`
`int[]` `getQualityCode()`
`int[]` `getRAmplitude()`
`int[]` `getRDuration()`
`int[]` `getRPrimeAmplitude()`
`int[]` `getRPrimeDuration()`
`int[]` `getSAmplitude()`
`int[]` `getSDuration()`
`java.lang.String` `getSectionName()` Get a string name for this section.
`int[]` `getSPrimeAmplitude()`
`int[]` `getSPrimeDuration()`
`int[]` `getSTAmplitudeJPointPlus20ms()`
`int[]` `getSTAmplitudeJPointPlus60ms()`
`int[]` `getSTAmplitudeJPointPlus80ms()`
`int[]` `getSTAmplitudeJPointPlusEighthAverageRRInterval()`
`int[]` `getSTAmplitudeJPointPlusSixteenthAverageRRInterval()`
`int[]` `getSTSlope()`
`int[]` `getTMinusAmplitude()`
`int[]` `getTMorphology()`
`int[]` `getTPlusAmplitude()`
`SCPTreeRecord` `getTree(SCPTreeRecord parent)` Get the contents of the section as a tree for display, constructing it if not already done.
`long` `read(BinaryInputStream i)` Read the remainder of the section from a stream.
`java.lang.String` `toString()` Dump the section as a `String`.
`java.lang.String` `validate()` Validate the section against the standard.

### Methods inherited from class com.pixelmed.scpecg.Section

`addNodeOfDecimalAndHex, addNodeOfDecimalWithMissingValues, addSectionHeaderToTree, describeMissingValues, getSectionHeader, getTree, getValueForSectionNodeInTree, makeSection, makeStringFromByteArrayRemovingAnyNulls, skipToEndOfSectionIfNotAlreadyThere`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Section10

    public Section10(SectionHeader header)

### Method Detail

#### getSectionName

    public java.lang.String getSectionName()

Get a string name for this section.

Overrides:
  `getSectionName` in class `Section`
Returns:
  a string name for this section

#### getNumberOfLeads

    public int getNumberOfLeads()

#### getManufacturerSpecific

    public int getManufacturerSpecific()

#### getLeadID

    public int[] getLeadID()

#### getLengthOfRecord

    public int[] getLengthOfRecord()

#### getPduration

    public int[] getPduration()

#### getPRInterval

    public int[] getPRInterval()

#### getQRSDuration

    public int[] getQRSDuration()

#### getQTInterval

    public int[] getQTInterval()

#### getQDuration

    public int[] getQDuration()

#### getRDuration

    public int[] getRDuration()

#### getSDuration

    public int[] getSDuration()

#### getRPrimeDuration

    public int[] getRPrimeDuration()

#### getSPrimeDuration

    public int[] getSPrimeDuration()

#### getQAmplitude

    public int[] getQAmplitude()

#### getRAmplitude

    public int[] getRAmplitude()

#### getSAmplitude

    public int[] getSAmplitude()

#### getRPrimeAmplitude

    public int[] getRPrimeAmplitude()

#### getSPrimeAmplitude

    public int[] getSPrimeAmplitude()

#### getJPointAmplitude

    public int[] getJPointAmplitude()

#### getPPlusAmplitude

    public int[] getPPlusAmplitude()

#### getPMinusAmplitude

    public int[] getPMinusAmplitude()

#### getTPlusAmplitude

    public int[] getTPlusAmplitude()

#### getTMinusAmplitude

    public int[] getTMinusAmplitude()

#### getSTSlope

    public int[] getSTSlope()

#### getPMorphology

    public int[] getPMorphology()

#### getTMorphology

    public int[] getTMorphology()

#### getIsoElectricSegmentAtQRSOnset

    public int[] getIsoElectricSegmentAtQRSOnset()

#### getIsoElectricSegmentAtQRSEnd

    public int[] getIsoElectricSegmentAtQRSEnd()

#### getIntrinsicoidDeflection

    public int[] getIntrinsicoidDeflection()

#### getQualityCode

    public int[] getQualityCode()

#### getSTAmplitudeJPointPlus20ms

    public int[] getSTAmplitudeJPointPlus20ms()

#### getSTAmplitudeJPointPlus60ms

    public int[] getSTAmplitudeJPointPlus60ms()

#### getSTAmplitudeJPointPlus80ms

    public int[] getSTAmplitudeJPointPlus80ms()

#### getSTAmplitudeJPointPlusSixteenthAverageRRInterval

    public int[] getSTAmplitudeJPointPlusSixteenthAverageRRInterval()

#### getSTAmplitudeJPointPlusEighthAverageRRInterval

    public int[] getSTAmplitudeJPointPlusEighthAverageRRInterval()

#### read

    public long read(BinaryInputStream i)
              throws java.io.IOException

Description copied from class: `Section`

Read the remainder of the section from a stream.

Overrides:
  `read` in class `Section`
Parameters:
  `i` - the input stream
Returns:
  the number of bytes read
Throws:
  `java.io.IOException`

#### toString

    public java.lang.String toString()

Description copied from class: `Section`

Dump the section as a `String`.

Overrides:
  `toString` in class `Section`
Returns:
  the section as a `String`

#### validate

    public java.lang.String validate()

Description copied from class: `Section`

Validate the section against the standard.

Overrides:
  `validate` in class `Section`
Returns:
  the validation results as a `String`

#### getTree

    public SCPTreeRecord getTree(SCPTreeRecord parent)

Get the contents of the section as a tree for display, constructing it if not already done.

Overrides:
  `getTree` in class `Section`
Parameters:
  `parent` - the node to which this section is to be added if it needs to be created de novo
Returns:
  the section as a tree